Usage: ./kmeans [switches] -i filename

    -i filename      :file containing data to be clustered
    -m max_nclusters :maximum number of clusters allowed    [default=5]
    -n min_nclusters :minimum number of clusters allowed    [default=5]
    -t threshold     :threshold value                       [default=0.001]
    -l nloops        :iteration for each number of clusters [default=1]
    -b               :input file is in binary format
    -r               :calculate RMSE                        [default=off]
    -o               :output cluster center coordinates     [default=off]